---
title: ReadableStreamDefaultReader.releaseLock()
slug: Web/API/ReadableStreamDefaultReader/releaseLock
tags:
  - API
  - Method
  - ReadableStreamDefaultReader
  - Reference
  - Streams
  - releaseLock
---
<div>{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>releaseLock()</code></strong> method of the {{domxref("ReadableStreamDefaultReader")}} interface releases the reader's lock on the stream.</p>

<p>If the associated stream is errored when the lock is released, the reader will appear errored in that same way subsequently; otherwise, the reader will appear closed.</p>

<p>A reader’s lock cannot be released while it still has a pending read request, i.e., if a promise returned by the reader’s {{domxref("ReadableStreamDefaultReader.read()")}} method has not finished. This will result in a <code>TypeError</code> being thrown.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>readableStreamDefaultReader</em>.releaseLock();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>TypeError</dt>
 <dd>The source object is not a <code>ReadableStreamDefaultReader</code>, or a read request is pending.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">function fetchStream() {
  const reader = stream.getReader();

  ...

  reader.releaseLock()

  ...
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#default-reader-release-lock","releaseLock()")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ReadableStreamDefaultReader.releaseLock")}}</p>
